gfx_mode_select_ex(3)

NAME
gfx_mode_select_ex - Extended version of the graphics mode selection dialog. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int gfx_mode_select_ex(int *card, int *w, int *h, int *color_depth);

DESCRIPTION
Extended version of the graphics mode selection dialog, which also allows the user to select the color depth. As with gfx_mode_select, the values stored at the addresses passed to the function will be used as suggestions for the initial selections in the dialog, defaulting to the first entry in each list if the values are not found. Initialize the data stored at the addresses passed to the function to the value of 0 or -1 if you want to ensure that the initial selection for each list will be the first entry. If the dialog is OK'd, it stores the selections at the addresses passed to the function.

RETURN VALUE
See the gfx_mode_select_filter function for the return values.

SEE ALSO
gfx_mode_select(3), gfx_mode_select_filter(3), set_color_depth(3), set_gfx_mode(3), gui_fg_color(3), ex3d(3), exscn3d(3), exswitch(3), exupdate(3), exzbuf(3)